1. Core Capabilities
PixVerse Platform Docs
  • Get Started
    • What Is PixVerse AI?
    • Model Capability Map
    • Billing and Usage
    • Quick Start
    • Contact Us
    • Privacy and Data Protection
  • API
    • Preparation
      • Start Here
      • Concurrency Rules
      • Query Task Status
      • Error Codes
      • FAQ
      • Webhook Callbacks
      • Upload Image
      • Upload Media (Video and Audio)
      • Verify Uploaded Audio
      • Get Effect Template List
      • Get TTS Speaker List
      • Get Restyle Effect List
      • Query Task Status
      • Get Account Balance
      • Usage Deduction Query
      • Create Custom Voice
      • Delete Custom Voice
    • Core Capabilities
      • Text-to-Video
        POST
      • Image-to-Video and Video Templates
        POST
      • First and Last Frame Video
        POST
      • Reference-to-Video (Fusion)
        POST
      • Multi-Transition Video
        POST
      • Video Extend
        POST
      • Image Template Generation
        POST
      • Get Image Generation Result
        GET
    • Solutions
      • Video Upscale
      • Video Restyle
      • Lipsync
      • Video Edit (Modify)
      • Image Avatar
      • Select Video Mask
      • Sound Effect
      • Subject Replacement (Swap)
      • Motion Control (Mimic)
      • One-click Real Estate Video
      • One-click VibeMV
  • Pricing
    • PixVerse API Pricing
  • Changelog
    • Changelog
  1. Core Capabilities

Text-to-Video

POST
/openapi/v2/video/text/generate
Generate a video from a text prompt.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Request processed. ErrCode=0 indicates business success; a nonzero ErrCode indicates failure, even with HTTP 200.
Bodyapplication/json

🟠400
🟠401
Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/video/text/generate' \
--header 'API-KEY: your-api-key' \
--header 'Ai-trace-id: 550e8400-e29b-41d4-a716-446655440000' \
--header 'Content-Type: application/json' \
--data '{
    "model": "v6",
    "prompt": "A blue glass marble rolls across a clean white table",
    "duration": 1,
    "quality": "360p",
    "aspect_ratio": "1:1"
}'
Response Response Example
200 - Illustrative accepted task; poll to completion
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "video_id": 123456789,
        "credits": 10
    }
}
Previous
Delete Custom Voice
Next
Image-to-Video and Video Templates